{% extends "layouts/base.html" %}

{% block title %} Tables {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="py-4">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb breadcrumb-dark breadcrumb-transparent">
            <li class="breadcrumb-item"><a href="#"><span class="fas fa-home"></span></a></li>
            <li class="breadcrumb-item"><a href="#">Summaries</a></li>
        </ol>
    </nav>
</div>

<div class="card border-light shadow-sm mb-4">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-centered table-nowrap mb-0 rounded">
                <thead class="thead-light">
                    <tr>
                        <th class="border-0">ID</th>
                        <th class="border-0">Video</th>
                        <th class="border-0">Status</th>
                        <th class="border-0">Sentiment</th>
                        <th class="border-0">Sentiment Confidence</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- Item -->
                    {% for row in recordings %}
                    <tr>
                        <td class="border-0">
                            {{ row.id }}
                            {% if row.status == 'Complete' %}
                            - <a href="/visualize-results/{{ row.id }}" style="color: blue">Open</a>
                            {% endif %}
                        </td>
                        <td class="border-0">{{ row.video_path.replace('app/base/static/engine-assets/videos/', '') }}</td>
                        <td class="border-0">{{ row.status }}</td>
                        <td class="border-0">{{ row.sentiment }}</td>
                        <td class="border-0">{{ row.snt_score }}</td>
                    </tr>
                    {% endfor %}
                    <!-- End of Item -->
                </tbody>
            </table>
        </div>
    </div>
</div>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}{% endblock javascripts %}